Subject: [RFC] git subcommand to check if branch is up-to-date with upstream

From: Sidhant Sharma <[email-masked]>
Date: Mon, 25 Jul 2016 18:28:39 +0530

Hi,
I was wondering if it would be a good idea to have a command to check if a
push or pull is required. Perhaps it can also suggest if changes are
fast-forward or the branches (local and remote) have diverged.
The reason I feel the need of such a command is when I need to check if my
branch is up-to-date with the remote, and when I need to know if my local
has diverged. Currently I use a script based on this stackoverflow answer[1]
Not an extremely useful tool, but I thought it'll be good to have it.

Warm regards,
Sidhant Sharma

[1] http://stackoverflow.com/a/3278427/5211579